<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::matrix_div_scal_exp&lt; M &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classdlib_1_1matrix__div__scal__exp-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::matrix_div_scal_exp&lt; M &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::matrix_div_scal_exp&lt; M &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1matrix__div__scal__exp.png" usemap="#dlib::matrix_5Fdiv_5Fscal_5Fexp_3C_20M_20_3E_map" alt=""/>
  <map id="dlib::matrix_5Fdiv_5Fscal_5Fexp_3C_20M_20_3E_map" name="dlib::matrix_5Fdiv_5Fscal_5Fexp_3C_20M_20_3E_map">
<area href="classdlib_1_1matrix__exp.html" alt="dlib::matrix_exp&lt; matrix_div_scal_exp&lt; M &gt; &gt;" shape="rect" coords="0,0,271,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ac2f236edfa6748198ef4e26a571d054b"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a> &gt;::<a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a></td></tr>
<tr class="separator:ac2f236edfa6748198ef4e26a571d054b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7559d8d974f79d540d4932160927dc77"><td class="memItemLeft" align="right" valign="top"><a id="a7559d8d974f79d540d4932160927dc77"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a> &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a7559d8d974f79d540d4932160927dc77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab42b43cedac7dd7996cb31a77d9c40a5"><td class="memItemLeft" align="right" valign="top"><a id="ab42b43cedac7dd7996cb31a77d9c40a5"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a> &gt;::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ab42b43cedac7dd7996cb31a77d9c40a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4658d6712ad62c2d5b0845e9469cf63"><td class="memItemLeft" align="right" valign="top"><a id="ac4658d6712ad62c2d5b0845e9469cf63"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a> &gt;::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ac4658d6712ad62c2d5b0845e9469cf63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix_div_scal_exp&lt; M &gt; &gt;</a></td></tr>
<tr class="memitem:a039e80e9a67ddd1abaa4a1004dab7254 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt; &gt;::<a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a></td></tr>
<tr class="separator:a039e80e9a67ddd1abaa4a1004dab7254 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c77b26cda27c68f6c09659c0fc2df39 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a8c77b26cda27c68f6c09659c0fc2df39"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a8c77b26cda27c68f6c09659c0fc2df39 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a457bfdba190a416a0303d2e74c8ebff8 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a457bfdba190a416a0303d2e74c8ebff8"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt; &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a457bfdba190a416a0303d2e74c8ebff8 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc9ebe54c29ad8263ef894308d275237 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="abc9ebe54c29ad8263ef894308d275237"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt; &gt;::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:abc9ebe54c29ad8263ef894308d275237 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf2e883d0cca0c1fb5379793555a9e4 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a4bf2e883d0cca0c1fb5379793555a9e4"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt; &gt;::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a4bf2e883d0cca0c1fb5379793555a9e4 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed42d347a23cc0ae760ed9216ae0550a inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="aed42d347a23cc0ae760ed9216ae0550a"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; <a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>, NR, NC, mem_manager_type, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:aed42d347a23cc0ae760ed9216ae0550a inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d8fcde8026beec69e3870f1a8217431 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a0d8fcde8026beec69e3870f1a8217431"></a>
typedef <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>exp_type</b></td></tr>
<tr class="separator:a0d8fcde8026beec69e3870f1a8217431 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf7f7f0eaf760054d382e777ff3e0e3 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="aabf7f7f0eaf760054d382e777ff3e0e3"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b></td></tr>
<tr class="separator:aabf7f7f0eaf760054d382e777ff3e0e3 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c8479c1ae6ec1cf8d357ab138b3579 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a12c8479c1ae6ec1cf8d357ab138b3579"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&lt; <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&lt; M &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>const_iterator</b></td></tr>
<tr class="separator:a12c8479c1ae6ec1cf8d357ab138b3579 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a83cbeaf3d66a5840bfa99f96a36460e3"><td class="memTemplParams" colspan="2"><a id="a83cbeaf3d66a5840bfa99f96a36460e3"></a>
template&lt;typename T1 &gt; </td></tr>
<tr class="memitem:a83cbeaf3d66a5840bfa99f96a36460e3"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>matrix_div_scal_exp</b> (T1, const <a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a> &amp;)</td></tr>
<tr class="separator:a83cbeaf3d66a5840bfa99f96a36460e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8feb7348def1df35281c3f905466a4e"><td class="memItemLeft" align="right" valign="top"><a id="aa8feb7348def1df35281c3f905466a4e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_div_scal_exp</b> (const M &amp;m_, const <a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a> &amp;s_)</td></tr>
<tr class="separator:aa8feb7348def1df35281c3f905466a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a52ca1e9b54449ffad72848e488a871"><td class="memItemLeft" align="right" valign="top"><a id="a4a52ca1e9b54449ffad72848e488a871"></a>
const <a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:a4a52ca1e9b54449ffad72848e488a871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a839f3456412fd80472ba69c8a308b8ed"><td class="memItemLeft" align="right" valign="top"><a id="a839f3456412fd80472ba69c8a308b8ed"></a>
const <a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a839f3456412fd80472ba69c8a308b8ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db5c226f57be8ce1f646cbfe921ae81"><td class="memTemplParams" colspan="2"><a id="a1db5c226f57be8ce1f646cbfe921ae81"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a1db5c226f57be8ce1f646cbfe921ae81"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a1db5c226f57be8ce1f646cbfe921ae81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331d49008d1631734144dedbf2689a32"><td class="memTemplParams" colspan="2"><a id="a331d49008d1631734144dedbf2689a32"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a331d49008d1631734144dedbf2689a32"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a331d49008d1631734144dedbf2689a32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469c7ba714e7d3659bb4b1cf5c96dbf2"><td class="memItemLeft" align="right" valign="top"><a id="a469c7ba714e7d3659bb4b1cf5c96dbf2"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a469c7ba714e7d3659bb4b1cf5c96dbf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa59951769b817f6449b562624c0ddfb2"><td class="memItemLeft" align="right" valign="top"><a id="aa59951769b817f6449b562624c0ddfb2"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:aa59951769b817f6449b562624c0ddfb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix_div_scal_exp&lt; M &gt; &gt;</a></td></tr>
<tr class="memitem:ac17be94df8060cdff2dc5af732b8f677 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="ac17be94df8060cdff2dc5af732b8f677"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:ac17be94df8060cdff2dc5af732b8f677 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62530f2d643478e68e4e9270fd44b346 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a62530f2d643478e68e4e9270fd44b346"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a62530f2d643478e68e4e9270fd44b346 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fc639a65f6a2493b80c4b42de0250d inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="ac5fc639a65f6a2493b80c4b42de0250d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:ac5fc639a65f6a2493b80c4b42de0250d inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7348faf46c2c856850621506a88d4c inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a6f7348faf46c2c856850621506a88d4c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a6f7348faf46c2c856850621506a88d4c inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe8930b38c262a4da361314563ef8ac6 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="afe8930b38c262a4da361314563ef8ac6"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:afe8930b38c262a4da361314563ef8ac6 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30fe5f93e1e2998a6164a4999ddd12a3 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a30fe5f93e1e2998a6164a4999ddd12a3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a30fe5f93e1e2998a6164a4999ddd12a3 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9002b9c186190c3a29c7ab0485818693 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a9002b9c186190c3a29c7ab0485818693"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a9002b9c186190c3a29c7ab0485818693 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b64be9705716c08130e8f41aed902d5 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a5b64be9705716c08130e8f41aed902d5"></a>
const <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">exp_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a5b64be9705716c08130e8f41aed902d5 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849b5eeb2dbbf1be9def6b6001aedaab inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a849b5eeb2dbbf1be9def6b6001aedaab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator const type</b> () const</td></tr>
<tr class="separator:a849b5eeb2dbbf1be9def6b6001aedaab inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f450fc4769675f043e1ee96b559b8f2 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a9f450fc4769675f043e1ee96b559b8f2"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const</td></tr>
<tr class="separator:a9f450fc4769675f043e1ee96b559b8f2 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a5e4478efe3095c3ba8c797663ef98 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a54a5e4478efe3095c3ba8c797663ef98"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> () const</td></tr>
<tr class="separator:a54a5e4478efe3095c3ba8c797663ef98 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a09dea7f2bbdcf4e4300b228faf4293c6"><td class="memItemLeft" align="right" valign="top"><a id="a09dea7f2bbdcf4e4300b228faf4293c6"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a09dea7f2bbdcf4e4300b228faf4293c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af05760865aa5c193f81613eb2219c8ba"><td class="memItemLeft" align="right" valign="top"><a id="af05760865aa5c193f81613eb2219c8ba"></a>
const <a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>s</b></td></tr>
<tr class="separator:af05760865aa5c193f81613eb2219c8ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a50af1a1719dbe5512b6dd5575d7bf36f"><td class="memItemLeft" align="right" valign="top"><a id="a50af1a1719dbe5512b6dd5575d7bf36f"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&gt;::NR</td></tr>
<tr class="separator:a50af1a1719dbe5512b6dd5575d7bf36f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1621b339a81bbea7c99995ed5dd63b"><td class="memItemLeft" align="right" valign="top"><a id="a9c1621b339a81bbea7c99995ed5dd63b"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&gt;::NC</td></tr>
<tr class="separator:a9c1621b339a81bbea7c99995ed5dd63b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82cfdcfc57adc5219dbd53419830b62b"><td class="memItemLeft" align="right" valign="top"><a id="a82cfdcfc57adc5219dbd53419830b62b"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&gt;::cost</td></tr>
<tr class="separator:a82cfdcfc57adc5219dbd53419830b62b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix_div_scal_exp&lt; M &gt; &gt;</a></td></tr>
<tr class="memitem:a3cc23b5e782b277de7670a43b3f4942e inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a3cc23b5e782b277de7670a43b3f4942e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b></td></tr>
<tr class="separator:a3cc23b5e782b277de7670a43b3f4942e inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1007caf961b85c04bd7cc559c86942 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a1e1007caf961b85c04bd7cc559c86942"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b></td></tr>
<tr class="separator:a1e1007caf961b85c04bd7cc559c86942 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abb655ce64519ef5cf8a0645eed3cf5 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a8abb655ce64519ef5cf8a0645eed3cf5"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b></td></tr>
<tr class="separator:a8abb655ce64519ef5cf8a0645eed3cf5 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix_div_scal_exp&lt; M &gt; &gt;</a></td></tr>
<tr class="memitem:a1ed9bc70f065bd8ed7d8d33f48b9f18c inherit pro_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a1ed9bc70f065bd8ed7d8d33f48b9f18c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_exp</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a> &amp;)</td></tr>
<tr class="separator:a1ed9bc70f065bd8ed7d8d33f48b9f18c inherit pro_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Typedef Documentation</h2>
<a id="ac2f236edfa6748198ef4e26a571d054b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2f236edfa6748198ef4e26a571d054b">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename M &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1matrix__div__scal__exp.html">matrix_div_scal_exp</a>&gt;::<a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a> <a class="el" href="classdlib_1_1matrix__div__scal__exp.html">dlib::matrix_div_scal_exp</a>&lt; M &gt;::<a class="el" href="classdlib_1_1matrix__div__scal__exp.html#ac2f236edfa6748198ef4e26a571d054b">type</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">REQUIREMENTS ON M 
    - must be a matrix_exp object.
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix_2matrix_8h_source.html">matrix/matrix.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
